import React, { useState } from "react";
import "./home.css";
import { PayPal, Purchase, ShowCase, Home } from '.';

// component
const Details = () => {
  return (
    <>
      <ShowCase />
      <Purchase />
      <PayPal />
    </>
  );
};

const Landing = () => {
  const [showDetails, setShowDetails] = useState(false);

  return (
    <>
      {showDetails ? <Details /> : <Home goNext={() => setShowDetails(true)} />}
    </>
  );
};

export default Landing;
